﻿/* This file is part of CustomizeMii
 * Copyright (C) 2009 Leathl
 * 
 * CustomizeMii is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CustomizeMii is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

using System.IO;

namespace ForwardMii
{
    internal class SDSDHC_ConvertBaseStream
    {
        internal static MemoryStream ConvertTo5Chars(MemoryStream BaseStream)
        {
            BaseStream.Seek(16823, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(16939, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(17067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(17439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(17835, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(21203, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(29399, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(33439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(69738, SeekOrigin.Begin);
            BaseStream.WriteByte(0x01);
            BaseStream.Seek(69739, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(69767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(69799, SeekOrigin.Begin);
            BaseStream.WriteByte(0x5c);
            BaseStream.Seek(69815, SeekOrigin.Begin);
            BaseStream.WriteByte(0x70);
            BaseStream.Seek(69839, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(69855, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(69871, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(69999, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(70011, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(70047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(70071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x48);
            BaseStream.Seek(70279, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(70319, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(70351, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(70795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(71315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(71627, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(71655, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb4);
            BaseStream.Seek(72171, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(91719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(93627, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(94039, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(95527, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(95895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(96383, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(96667, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(97171, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(98075, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(98711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(99071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(99079, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(99082, SeekOrigin.Begin);
            BaseStream.WriteByte(0x04);
            BaseStream.Seek(99083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(100619, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(100631, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(100662, SeekOrigin.Begin);
            BaseStream.WriteByte(0x05);
            BaseStream.Seek(100663, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(100687, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(100723, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(100755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x70);
            BaseStream.Seek(100787, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(100819, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(100850, SeekOrigin.Begin);
            BaseStream.WriteByte(0x06);
            BaseStream.Seek(100851, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(100883, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(100915, SeekOrigin.Begin);
            BaseStream.WriteByte(0x60);
            BaseStream.Seek(100947, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(100975, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(101019, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(101043, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(101047, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(101063, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(101067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(101287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(101311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(101315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(101507, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(101523, SeekOrigin.Begin);
            BaseStream.WriteByte(0x04);
            BaseStream.Seek(101615, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(101803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(102259, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(102283, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(102299, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(102311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(102327, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(102343, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(102359, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(102375, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(102391, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(106287, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(114255, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(116755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(116767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(120895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(128803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(129483, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(136707, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(137175, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(140083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x68);
            BaseStream.Seek(140535, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(140847, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(140855, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(140859, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(144215, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(144735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(144951, SeekOrigin.Begin);
            BaseStream.WriteByte(0x78);
            BaseStream.Seek(145071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x7c);
            BaseStream.Seek(145235, SeekOrigin.Begin);
            BaseStream.WriteByte(0x84);
            BaseStream.Seek(145315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x88);
            BaseStream.Seek(145395, SeekOrigin.Begin);
            BaseStream.WriteByte(0x78);
            BaseStream.Seek(145563, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(145687, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb4);
            BaseStream.Seek(145847, SeekOrigin.Begin);
            BaseStream.WriteByte(0x84);
            BaseStream.Seek(145955, SeekOrigin.Begin);
            BaseStream.WriteByte(0x5c);
            BaseStream.Seek(146127, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(146251, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb4);
            BaseStream.Seek(146375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(146647, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(146794, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0e);
            BaseStream.Seek(146795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(146923, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(147151, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(153442, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0f);
            BaseStream.Seek(153443, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(153719, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(178711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(178715, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178723, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178727, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178731, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178739, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178743, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(178747, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);

            return BaseStream;
        }

        internal static MemoryStream ConvertTo9Chars(MemoryStream BaseStream)
        {
            BaseStream.Seek(16823, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(16939, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(17067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(17439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(17835, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(21203, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(29399, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(33439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(69739, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(69767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(69799, SeekOrigin.Begin);
            BaseStream.WriteByte(0x68);
            BaseStream.Seek(69815, SeekOrigin.Begin);
            BaseStream.WriteByte(0x7c);
            BaseStream.Seek(69839, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(69855, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(69871, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(69999, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(70011, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(70047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(70071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x54);
            BaseStream.Seek(70279, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(70319, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(70351, SeekOrigin.Begin);
            BaseStream.WriteByte(0x50);
            BaseStream.Seek(70795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(71315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(71627, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(71655, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(72171, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(91719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(93627, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(94039, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(95527, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(95895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(96383, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(96667, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(97170, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(97171, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(98074, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(98075, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(98711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(99071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(99079, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(99083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(100619, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(100631, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(100663, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(100687, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(100723, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(100755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x7c);
            BaseStream.Seek(100787, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(100819, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(100851, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(100883, SeekOrigin.Begin);
            BaseStream.WriteByte(0x3c);
            BaseStream.Seek(100915, SeekOrigin.Begin);
            BaseStream.WriteByte(0x6c);
            BaseStream.Seek(100947, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(100975, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(101019, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(101043, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(101047, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(101063, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(101067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(101287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(101311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(101315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x50);
            BaseStream.Seek(101506, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101507, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(101523, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(101615, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(101803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(102259, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(102283, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(102299, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(102311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(102327, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(102343, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(102359, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(102375, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(102391, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(106287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(114255, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(116755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(116767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x64);
            BaseStream.Seek(120895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(128803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb4);
            BaseStream.Seek(129483, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(136707, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(137175, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(140083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x74);
            BaseStream.Seek(140535, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(140847, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(140855, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(140859, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(144215, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(144735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(144951, SeekOrigin.Begin);
            BaseStream.WriteByte(0x84);
            BaseStream.Seek(145071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x88);
            BaseStream.Seek(145235, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(145315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(145395, SeekOrigin.Begin);
            BaseStream.WriteByte(0x84);
            BaseStream.Seek(145563, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(145687, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(145847, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(145955, SeekOrigin.Begin);
            BaseStream.WriteByte(0x68);
            BaseStream.Seek(146127, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(146251, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(146375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(146647, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(146795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(146923, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(147151, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(153443, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(153719, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(178711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(178715, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178723, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178727, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178731, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178739, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178743, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(178747, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);

            return BaseStream;
        }

        internal static MemoryStream ConvertTo10Chars(MemoryStream BaseStream)
        {
            BaseStream.Seek(16823, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(16939, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(17067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(17439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(17835, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(21203, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(29399, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(33439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(69695, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(69739, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(69767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(69799, SeekOrigin.Begin);
            BaseStream.WriteByte(0x70);
            BaseStream.Seek(69815, SeekOrigin.Begin);
            BaseStream.WriteByte(0x84);
            BaseStream.Seek(69839, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(69855, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(69871, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(69999, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(70011, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(70047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(70071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x5c);
            BaseStream.Seek(70279, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(70319, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(70351, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(70371, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(70795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x60);
            BaseStream.Seek(71315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(71627, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(71655, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(72171, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(91719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(93627, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(94039, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(95527, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(95895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(96383, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(96667, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(97170, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(97171, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(98074, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(98075, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(98711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x54);
            BaseStream.Seek(99071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(99079, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(99083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(100618, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(100619, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(100631, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(100663, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(100687, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(100723, SeekOrigin.Begin);
            BaseStream.WriteByte(0x54);
            BaseStream.Seek(100755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x84);
            BaseStream.Seek(100787, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb4);
            BaseStream.Seek(100819, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(100851, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(100883, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(100915, SeekOrigin.Begin);
            BaseStream.WriteByte(0x74);
            BaseStream.Seek(100947, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(100975, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(101019, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(101043, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(101047, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(101062, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101063, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(101066, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101067, SeekOrigin.Begin);
            BaseStream.WriteByte(0x04);
            BaseStream.Seek(101287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(101311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(101315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(101506, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101507, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(101523, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(101615, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(101803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(102259, SeekOrigin.Begin);
            BaseStream.WriteByte(0x3c);
            BaseStream.Seek(102283, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(102299, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(102311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(102327, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(102343, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(102359, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(102375, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(102391, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(106287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(114255, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(116755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x54);
            BaseStream.Seek(116767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x6c);
            BaseStream.Seek(120895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(128803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(129483, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(136707, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(137175, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(140083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x7c);
            BaseStream.Seek(140535, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(140847, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(140855, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(140859, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(144215, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(144735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(144951, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(145071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(145235, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(145315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(145395, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(145563, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(145687, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(145847, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(145955, SeekOrigin.Begin);
            BaseStream.WriteByte(0x70);
            BaseStream.Seek(146127, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(146251, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(146375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(146647, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(146795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(146923, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(147151, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(153443, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(153719, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(178711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(178715, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178723, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178727, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178731, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178739, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178743, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(178747, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);

            return BaseStream;
        }

        internal static MemoryStream ConvertTo13Chars(MemoryStream BaseStream)
        {
            BaseStream.Seek(16823, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(16939, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(17067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(17439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(17835, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(21203, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(29399, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(33439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(69695, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(69739, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(69767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(69799, SeekOrigin.Begin);
            BaseStream.WriteByte(0x74);
            BaseStream.Seek(69815, SeekOrigin.Begin);
            BaseStream.WriteByte(0x88);
            BaseStream.Seek(69839, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(69855, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(69871, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(69999, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(70011, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(70047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(70071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x60);
            BaseStream.Seek(70279, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(70319, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(70351, SeekOrigin.Begin);
            BaseStream.WriteByte(0x5c);
            BaseStream.Seek(70371, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(70795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x64);
            BaseStream.Seek(71315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(71627, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(71655, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(72171, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(91719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(93627, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(94039, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(95527, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(95895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(96383, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(96667, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(97170, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(97171, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(98074, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(98075, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(98711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(99071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(99079, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(99083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(100618, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(100619, SeekOrigin.Begin);
            BaseStream.WriteByte(0x04);
            BaseStream.Seek(100631, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(100663, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(100687, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(100723, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(100755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x88);
            BaseStream.Seek(100787, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb8);
            BaseStream.Seek(100819, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(100851, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(100883, SeekOrigin.Begin);
            BaseStream.WriteByte(0x48);
            BaseStream.Seek(100915, SeekOrigin.Begin);
            BaseStream.WriteByte(0x78);
            BaseStream.Seek(100947, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(100975, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(101019, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(101043, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(101046, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(101062, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101063, SeekOrigin.Begin);
            BaseStream.WriteByte(0x04);
            BaseStream.Seek(101066, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101067, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(101287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(101311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x50);
            BaseStream.Seek(101315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x5c);
            BaseStream.Seek(101506, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101507, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(101523, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(101615, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(101803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(102259, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(102283, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(102299, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(102311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(102327, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(102343, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(102359, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(102375, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(102391, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(106287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(114255, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(116755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(116767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x70);
            BaseStream.Seek(120895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x3c);
            BaseStream.Seek(128803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(129483, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(136707, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(137175, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(140083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(140535, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(140847, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(140855, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(140859, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(144215, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(144734, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0e);
            BaseStream.Seek(144735, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(144951, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(145071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(145235, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(145315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(145395, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(145563, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(145687, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(145847, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(145955, SeekOrigin.Begin);
            BaseStream.WriteByte(0x74);
            BaseStream.Seek(146127, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(146251, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(146375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(146647, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(146795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(146923, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(147151, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(153443, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(153719, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(178711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(178715, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178723, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178727, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178731, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178739, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178743, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(178747, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);

            return BaseStream;
        }

        internal static MemoryStream ConvertTo14Chars(MemoryStream BaseStream)
        {
            BaseStream.Seek(16823, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(16939, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(17067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(17439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(17835, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(21203, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(29399, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(33439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(69695, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(69739, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(69767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(69799, SeekOrigin.Begin);
            BaseStream.WriteByte(0x7c);
            BaseStream.Seek(69815, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(69839, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(69855, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb4);
            BaseStream.Seek(69871, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(69998, SeekOrigin.Begin);
            BaseStream.WriteByte(0x02);
            BaseStream.Seek(69999, SeekOrigin.Begin);
            BaseStream.WriteByte(0x04);
            BaseStream.Seek(70011, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(70047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(70071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x68);
            BaseStream.Seek(70279, SeekOrigin.Begin);
            BaseStream.WriteByte(0x3c);
            BaseStream.Seek(70319, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(70351, SeekOrigin.Begin);
            BaseStream.WriteByte(0x64);
            BaseStream.Seek(70371, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(70795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x6c);
            BaseStream.Seek(71315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(71627, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(71655, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(72171, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(91719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(93627, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(94039, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(95527, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(95895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(96383, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(96667, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(97170, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(97171, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(98074, SeekOrigin.Begin);
            BaseStream.WriteByte(0x03);
            BaseStream.Seek(98075, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(98711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x60);
            BaseStream.Seek(99071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(99079, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(99083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(100618, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(100619, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(100630, SeekOrigin.Begin);
            BaseStream.WriteByte(0x05);
            BaseStream.Seek(100631, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(100663, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(100687, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(100723, SeekOrigin.Begin);
            BaseStream.WriteByte(0x60);
            BaseStream.Seek(100755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x90);
            BaseStream.Seek(100787, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(100819, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(100851, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(100883, SeekOrigin.Begin);
            BaseStream.WriteByte(0x50);
            BaseStream.Seek(100915, SeekOrigin.Begin);
            BaseStream.WriteByte(0x80);
            BaseStream.Seek(100947, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(100975, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(101019, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(101042, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101043, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(101046, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(101062, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101063, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(101066, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101067, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(101287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(101311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(101315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x64);
            BaseStream.Seek(101506, SeekOrigin.Begin);
            BaseStream.WriteByte(0x07);
            BaseStream.Seek(101507, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(101523, SeekOrigin.Begin);
            BaseStream.WriteByte(0x24);
            BaseStream.Seek(101615, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(101803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(102259, SeekOrigin.Begin);
            BaseStream.WriteByte(0x48);
            BaseStream.Seek(102283, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(102299, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(102311, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(102327, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(102343, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(102359, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(102375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(102391, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa0);
            BaseStream.Seek(106287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(114255, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(116755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x60);
            BaseStream.Seek(116767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x78);
            BaseStream.Seek(120895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(128803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc8);
            BaseStream.Seek(129483, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(136707, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(137175, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf0);
            BaseStream.Seek(140083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x88);
            BaseStream.Seek(140535, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(140847, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(140855, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(140859, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(144215, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(144734, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0e);
            BaseStream.Seek(144735, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(144951, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(145071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(145235, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(145315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(145395, SeekOrigin.Begin);
            BaseStream.WriteByte(0x98);
            BaseStream.Seek(145563, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(145687, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(145847, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(145955, SeekOrigin.Begin);
            BaseStream.WriteByte(0x7c);
            BaseStream.Seek(146127, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(146251, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(146375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(146647, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(146795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(146923, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(147151, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(153443, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(153719, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(178711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(178715, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178723, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178727, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178731, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178739, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178743, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);
            BaseStream.Seek(178747, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc4);

            return BaseStream;
        }

        internal static MemoryStream ConvertTo18Chars(MemoryStream BaseStream)
        {
            BaseStream.Seek(16823, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(16939, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(17067, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(17439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(17835, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(21203, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(29399, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(33439, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(69695, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(69739, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(69767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(69799, SeekOrigin.Begin);
            BaseStream.WriteByte(0x88);
            BaseStream.Seek(69815, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(69839, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(69855, SeekOrigin.Begin);
            BaseStream.WriteByte(0xc0);
            BaseStream.Seek(69871, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(69999, SeekOrigin.Begin);
            BaseStream.WriteByte(0x10);
            BaseStream.Seek(70011, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(70047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x38);
            BaseStream.Seek(70071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x74);
            BaseStream.Seek(70279, SeekOrigin.Begin);
            BaseStream.WriteByte(0x48);
            BaseStream.Seek(70319, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(70351, SeekOrigin.Begin);
            BaseStream.WriteByte(0x70);
            BaseStream.Seek(70371, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(70795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x78);
            BaseStream.Seek(71315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(71627, SeekOrigin.Begin);
            BaseStream.WriteByte(0xdc);
            BaseStream.Seek(71655, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(72171, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe8);
            BaseStream.Seek(91719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(93627, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(94039, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(95527, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(95895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(96383, SeekOrigin.Begin);
            BaseStream.WriteByte(0x34);
            BaseStream.Seek(96667, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(97171, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(98075, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(98711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x6c);
            BaseStream.Seek(99071, SeekOrigin.Begin);
            BaseStream.WriteByte(0x40);
            BaseStream.Seek(99079, SeekOrigin.Begin);
            BaseStream.WriteByte(0x58);
            BaseStream.Seek(99083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(100619, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(100631, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(100663, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(100687, SeekOrigin.Begin);
            BaseStream.WriteByte(0x3c);
            BaseStream.Seek(100723, SeekOrigin.Begin);
            BaseStream.WriteByte(0x6c);
            BaseStream.Seek(100755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x9c);
            BaseStream.Seek(100787, SeekOrigin.Begin);
            BaseStream.WriteByte(0xcc);
            BaseStream.Seek(100819, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(100851, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(100883, SeekOrigin.Begin);
            BaseStream.WriteByte(0x5c);
            BaseStream.Seek(100915, SeekOrigin.Begin);
            BaseStream.WriteByte(0x8c);
            BaseStream.Seek(100947, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(100975, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(101019, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(101043, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(101047, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(101063, SeekOrigin.Begin);
            BaseStream.WriteByte(0x18);
            BaseStream.Seek(101067, SeekOrigin.Begin);
            BaseStream.WriteByte(0x1c);
            BaseStream.Seek(101287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(101311, SeekOrigin.Begin);
            BaseStream.WriteByte(0x64);
            BaseStream.Seek(101315, SeekOrigin.Begin);
            BaseStream.WriteByte(0x70);
            BaseStream.Seek(101507, SeekOrigin.Begin);
            BaseStream.WriteByte(0x20);
            BaseStream.Seek(101523, SeekOrigin.Begin);
            BaseStream.WriteByte(0x30);
            BaseStream.Seek(101615, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(101803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(102259, SeekOrigin.Begin);
            BaseStream.WriteByte(0x54);
            BaseStream.Seek(102283, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(102299, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(102311, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(102327, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(102343, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(102359, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(102375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(102391, SeekOrigin.Begin);
            BaseStream.WriteByte(0xac);
            BaseStream.Seek(106287, SeekOrigin.Begin);
            BaseStream.WriteByte(0x28);
            BaseStream.Seek(114255, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(116755, SeekOrigin.Begin);
            BaseStream.WriteByte(0x6c);
            BaseStream.Seek(116767, SeekOrigin.Begin);
            BaseStream.WriteByte(0x84);
            BaseStream.Seek(120895, SeekOrigin.Begin);
            BaseStream.WriteByte(0x50);
            BaseStream.Seek(128803, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd4);
            BaseStream.Seek(129483, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(136707, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(137175, SeekOrigin.Begin);
            BaseStream.WriteByte(0xfc);
            BaseStream.Seek(140083, SeekOrigin.Begin);
            BaseStream.WriteByte(0x94);
            BaseStream.Seek(140535, SeekOrigin.Begin);
            BaseStream.WriteByte(0xbc);
            BaseStream.Seek(140846, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0c);
            BaseStream.Seek(140847, SeekOrigin.Begin);
            BaseStream.WriteByte(0x00);
            BaseStream.Seek(140855, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(140859, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe4);
            BaseStream.Seek(144215, SeekOrigin.Begin);
            BaseStream.WriteByte(0xec);
            BaseStream.Seek(144735, SeekOrigin.Begin);
            BaseStream.WriteByte(0x14);
            BaseStream.Seek(144951, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(145071, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa8);
            BaseStream.Seek(145235, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(145315, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb4);
            BaseStream.Seek(145395, SeekOrigin.Begin);
            BaseStream.WriteByte(0xa4);
            BaseStream.Seek(145563, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(145687, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(145847, SeekOrigin.Begin);
            BaseStream.WriteByte(0xb0);
            BaseStream.Seek(145955, SeekOrigin.Begin);
            BaseStream.WriteByte(0x88);
            BaseStream.Seek(146127, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd8);
            BaseStream.Seek(146251, SeekOrigin.Begin);
            BaseStream.WriteByte(0xe0);
            BaseStream.Seek(146375, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf4);
            BaseStream.Seek(146647, SeekOrigin.Begin);
            BaseStream.WriteByte(0xf8);
            BaseStream.Seek(146795, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(146922, SeekOrigin.Begin);
            BaseStream.WriteByte(0x0f);
            BaseStream.Seek(146923, SeekOrigin.Begin);
            BaseStream.WriteByte(0x04);
            BaseStream.Seek(147151, SeekOrigin.Begin);
            BaseStream.WriteByte(0x08);
            BaseStream.Seek(153443, SeekOrigin.Begin);
            BaseStream.WriteByte(0x2c);
            BaseStream.Seek(153719, SeekOrigin.Begin);
            BaseStream.WriteByte(0x4c);
            BaseStream.Seek(178711, SeekOrigin.Begin);
            BaseStream.WriteByte(0x44);
            BaseStream.Seek(178715, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178719, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178723, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178727, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178731, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178735, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178739, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178743, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);
            BaseStream.Seek(178747, SeekOrigin.Begin);
            BaseStream.WriteByte(0xd0);

            return BaseStream;
        }
    }
}
